Update credential - SuperAI Flows

Update credential

cURL

curl --request PATCH \
  --url https://flows.super.ai/api/integrations/credentials/{credential_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "credentials": {},
  "name": "<string>"
}
'

Python

import requests

url = "https://flows.super.ai/api/integrations/credentials/{credential_id}"

payload = {
    "credentials": {},
    "name": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PATCH',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({credentials: {}, name: '<string>'})
};

fetch('https://flows.super.ai/api/integrations/credentials/{credential_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Response

{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modified_by": "<string>",
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-Key – API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY

Authorization – JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN

Path Parameters

credential_id – UUID of the credential to update. Must belong to the authenticated user's organization.

Request Body

credentials – Credentials (object) required to update user integration credentials.

name – The name of the credential (string or null).

Response

200 – Credential updated successfully.

created_at, id, modified_by, name, updated_at, and user_id are returned in the response.